import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetMasterChefDataPropsParams, GetMasterChefTokenBalancesParams, MasterChefTemplateContractPositionFetcher } from '../../../position/template/master-chef.template.contract-position-fetcher';
import { PancakeswapChefV2, PancakeswapContractFactory } from '../contracts';
export declare class BinanceSmartChainPancakeswapFarmV2ContractPositionFetcher extends MasterChefTemplateContractPositionFetcher<PancakeswapChefV2> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: PancakeswapContractFactory;
    isExcludedFromTvl: boolean;
    groupLabel: string;
    chefAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: PancakeswapContractFactory);
    getContract(address: string): PancakeswapChefV2;
    getPoolLength(contract: PancakeswapChefV2): Promise<import("ethers").BigNumber>;
    getStakedTokenAddress(contract: PancakeswapChefV2, poolIndex: number): Promise<string>;
    getRewardTokenAddress(contract: PancakeswapChefV2): Promise<string>;
    getTotalAllocPoints({ contract, definition }: GetMasterChefDataPropsParams<PancakeswapChefV2>): Promise<import("ethers").BigNumber>;
    getPoolAllocPoints({ contract, definition }: GetMasterChefDataPropsParams<PancakeswapChefV2>): Promise<import("ethers").BigNumber>;
    getTotalRewardRate({ contract, definition }: GetMasterChefDataPropsParams<PancakeswapChefV2>): Promise<import("ethers").BigNumber>;
    getStakedTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<PancakeswapChefV2>): Promise<import("ethers").BigNumber>;
    getRewardTokenBalance({ address, contract, contractPosition, }: GetMasterChefTokenBalancesParams<PancakeswapChefV2>): Promise<import("ethers").BigNumber>;
}
